# $Revision: 1.22 $, $Date: 2008-02-21 18:17:47 $
Summary:	Library implementing the SSH2 protocol
Summary(pl.UTF-8):	Biblioteka implementująca protokół SSH2
Name:		libssh2
Version:	0.18
Release:	2
License:	BSD
Group:		Libraries
Source0:	http://dl.sourceforge.net/libssh2/%{name}-%{version}.tar.gz
# Source0-md5:	5b9c83660aa4d1821ff2c05838e77e9d
URL:		http://libssh2.sourceforge.net/
BuildRequires:	automake
BuildRequires:	openssl-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libssh2 is a C library implementing the SSH2 protocol according to
Internet Draft specifications SECSH-TRANS(22), SECSH-USERAUTH(25),
SECSH-CONNECTION(23), SECSH-ARCH(20), SECSH-FILEXFER(06),
SECSH-DHGEX(04), and SECSH-NUMBERS(10).

Supported Ciphers:  
- aes256-cbc (aka rijndael-cbc@lysator.liu.se)
- aes192-cbc
- aes128-cbc
- 3des-cbc
- blowfish-cbc
- cast128-cbc
- arcfour
- none

Supported Key Exchange Methods: 
- diffie-hellman-group1-sha1
- diffie-hellman-group14-sha1
- diffie-hellman-group-exchange-sha1

Supported Hostkey Types:  
- ssh-rsa
- ssh-dss

Supported Compression Methods:
- zlib
- none

Supported Message Authentication Codes:
- hmac-sha1
- hmac-sha1-96
- hmac-ripemd160
- hmac-ripemd160@openssh.com

%description -l pl.UTF-8
libssh2 to biblioteka C implementująca protokół SSH2 zgodnie ze
specyfikacjami Internet Draft SECSH-TRANS(22), SECSH-USERAUTH(25),
SECSH-CONNECTION(23), SECSH-ARCH(20), SECSH-FILEXFER(06),
SECSH-DHGEX(04), and SECSH-NUMBERS(10).

Obsługiwane szyfry:
- aes256-cbc (znany też jako rijndael-cbc@lysator.liu.se)
- aes192-cbc
- aes128-cbc
- 3des-cbc
- blowfish-cbc
- cast128-cbc
- arcfour
- none

Obsługiwane metody wymiany kluczy:
- diffie-hellman-group1-sha1
- diffie-hellman-group14-sha1
- diffie-hellman-group-exchange-sha1

Obsługiwane rodzaju kluczy hosta:
- ssh-rsa
- ssh-dss

Obsługiwane metody kompresji:
- zlib
- none

Obsługiwane kody uwierzytelniania wiadomości:
- hmac-sha1
- hmac-sha1-96
- hmac-ripemd160
- hmac-ripemd160@openssh.com

%package devel
Summary:	Header files for libssh2 library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libssh2
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libssh2 library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libssh2.

%package static
Summary:	Static libssh2 library
Summary(pl.UTF-8):	Biblioteka statyczna libssh2
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libssh2 library.

%description static -l pl.UTF-8
Biblioteka statyczna libssh2.

%prep
%setup -q

%build
cp -f /usr/share/automake/config.sub .
%configure \
	--with-openssl=%{_prefix}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libssh2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libssh2.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libssh2.so
%{_libdir}/libssh2.la
%{_includedir}/libssh2*.h
%{_mandir}/man3/libssh2_*.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libssh2.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libssh2.spec,v $
Revision 1.22  2008-02-21 18:17:47  glen
- release 2

Revision 1.21  2008-01-04 01:53:45  zbyniu
- up to 0.18

Revision 1.20  2007-08-26 23:20:09  qboosh
- updated to 0.17

Revision 1.19  2007/07/03 06:51:35  arekm
- rel 2

Revision 1.18  2007/07/02 15:57:19  qboosh
- more verbose files, more docs

Revision 1.17  2007/07/01 20:23:38  arekm
- up to 0.15

Revision 1.16  2007/02/13 06:46:52  glen
- tabs in preamble

Revision 1.15  2007/02/12 00:49:05  baggins
- converted to UTF-8

Revision 1.14  2007/01/30 17:41:45  charles
- updated to 0.14

Revision 1.13  2005/12/05 17:00:07  czucz
- updated to 0.12

Revision 1.12  2005/07/26 18:23:10  adamg
- updated to 0.11

Revision 1.11  2005/05/29 12:27:32  petec
- up to 0.10

Revision 1.10  2005/04/06 21:56:44  czucz
- updated to 0.8

Revision 1.9  2005/02/25 18:50:18  adamg
- updated to 0.7

Revision 1.8  2005/02/19 18:57:09  adamg
- updated to 0.6

Revision 1.7  2005/01/11 07:42:24  adamg
- release 2

Revision 1.6  2005/01/11 07:35:47  adamg
- refresh config.sub

Revision 1.5  2005/01/11 07:12:52  adamg
- updated to 0.5 (BC break)
- dropped DESTDIR patch (applied upstream)
- release 1

Revision 1.4  2004/12/25 16:44:06  qboosh
- pl desc

Revision 1.3  2004/12/25 11:35:53  adamg
- pass libdir during make install

Revision 1.2  2004/12/25 11:19:14  adamg
- License fix (it's BSD, not LGPL)
- BuildRequires: zlib-devel
- dropped -static package

Revision 1.1  2004/12/25 11:12:49  adamg
- new
